Gecode::CPProfiler::NodeUID Struct Reference

Unique identifier for a node. More...

`#include <message.hpp>`

## Public Attributes

int32_t | nid
| Node number.
int32_t | rid
| Restart id.
int32_t | tid
| Thread id.

## Detailed Description

Unique identifier for a node.

Definition at line 114 of file message.hpp.

## Member Data Documentation

## nid

int32_t Gecode::CPProfiler::NodeUID::nid

Node number.

Definition at line 116 of file message.hpp.

## rid

int32_t Gecode::CPProfiler::NodeUID::rid

Restart id.

Definition at line 118 of file message.hpp.

## tid

int32_t Gecode::CPProfiler::NodeUID::tid

Thread id.

Definition at line 120 of file message.hpp.

The documentation for this struct was generated from the following file:

- gecode/search/cpprofiler/message.hpp